Skip to main content
GET
/
api
/
agents
List Agents
curl --request GET \
  --url https://api.example.com/api/agents \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "name": "<string>",
    "description": "<string>",
    "logo_url": "<string>",
    "status": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "widget_enabled": true,
    "allowed_domains": [
      "<string>"
    ],
    "share_enabled": true,
    "share_updated_at": "<string>",
    "access": "owner",
    "readonly": false,
    "can_edit": true,
    "can_publish": true,
    "can_delete": true
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

id
integer
required
name
string
required
description
string | null
required
logo_url
string | null
required
status
string
required
created_at
string
required
updated_at
string
required
widget_enabled
boolean
required
allowed_domains
string[]
required
share_enabled
boolean
required
share_updated_at
string | null
required
access
string
default:owner
readonly
boolean
default:false
can_edit
boolean
default:true
can_publish
boolean
default:true
can_delete
boolean
default:true